package com.goafanti.order.controller;

import com.goafanti.common.constant.ErrorConstants;
import com.goafanti.common.utils.Param;

import javax.validation.constraints.NotNull;

public class InputTaskStopLog {

    @Param(name="编号")
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private Long taskStopId;
    @Param(name="原因")
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private String reason;

    private Integer status;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getTaskStopId() {
        return taskStopId;
    }

    public void setTaskStopId(Long taskStopId) {
        this.taskStopId = taskStopId;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }
}
